/* Copyright 2008 Vicente J. Botet Escriba
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 *
 * See http://www.boost.org/libs/luid for library home page.
 */

#ifndef BOOST_DSL_OR_SEQ_HPP_
#define BOOST_DSL_OR_SEQ_HPP_

#include <boost/mpl/not.hpp>
#include <boost/mpl/find_if.hpp>
#include <boost/mpl/end.hpp>
#include <boost/type_traits/detail/type_trait_def.hpp>

namespace boost { 
namespace dsl {

template <typename Seq>
struct or_seq : mpl::not_<boost::is_same<typename mpl::find_if<Seq, mpl::_>::type, 
										 typename mpl::end<Seq>::type> 
				> {};

} // dsl
} // boost
#endif // BOOST_DSL_OR_SEQ_HPP_
